ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Masahiro Tanaka (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-18192) Can't build RPM package due to lack of upgradeHelper.py
Date Fri, 16 Sep 2016 13:40:20 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-18192?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Masahiro Tanaka updated AMBARI-18192:
-------------------------------------
    Status: Open  (was: Patch Available)

> Can't build RPM package due to lack of upgradeHelper.py
> -------------------------------------------------------
>
>                 Key: AMBARI-18192
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18192
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: trunk
>            Reporter: Masahiro Tanaka
>            Assignee: Masahiro Tanaka
>         Attachments: AMBARI-18192.patch
>
>
> When I ran {{mvn clean install package rpm:rpm -DskipTests}}, I got an error
> {code}
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 6:14.285s
> [INFO] Finished at: Thu Aug 18 03:53:29 UTC 2016
> [INFO] Final Memory: 226M/1125M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5:single
(make-assembly) on project ambari-server: Failed to create assembly: Error adding file to
archive: /tmp/ambari/ambari-server/src/main/python/upgradeHelper.py isn't a file. -> [Help
1]
> [ERROR]
> [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message